﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="BaseDeDatosDataSet15" targetNamespace="http://tempuri.org/BaseDeDatosDataSet15.xsd" xmlns:mstns="http://tempuri.org/BaseDeDatosDataSet15.xsd" xmlns="http://tempuri.org/BaseDeDatosDataSet15.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="BaseDeDatosConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="BaseDeDatosConnectionString (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.SoftCars.Properties.Settings.GlobalReference.Default.BaseDeDatosConnectionString" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="rellenoFactura2TableAdapter" GeneratorDataComponentClassName="rellenoFactura2TableAdapter" Name="rellenoFactura2" UserDataComponentName="rellenoFactura2TableAdapter">
            <MainSource>
              <DbSource ConnectionRef="BaseDeDatosConnectionString (Settings)" DbObjectName="BaseDeDatos.dbo.rellenoFactura2" DbObjectType="StoredProcedure" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="StoredProcedure" ModifiedByUser="false">
                    <CommandText>dbo.rellenoFactura2</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@rellenoIdFac2" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="id_venta" DataSetColumn="id_venta" />
              <Mapping SourceColumn="nombre" DataSetColumn="nombre" />
              <Mapping SourceColumn="cantidad" DataSetColumn="cantidad" />
              <Mapping SourceColumn="precio" DataSetColumn="precio" />
              <Mapping SourceColumn="descuento" DataSetColumn="descuento" />
              <Mapping SourceColumn="pdescuento" DataSetColumn="pdescuento" />
              <Mapping SourceColumn="acumulado" DataSetColumn="acumulado" />
              <Mapping SourceColumn="nombre_usuario" DataSetColumn="nombre_usuario" />
              <Mapping SourceColumn="id_venta1" DataSetColumn="id_venta1" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="BaseDeDatosDataSet15" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="BaseDeDatosDataSet15" msprop:Generator_UserDSName="BaseDeDatosDataSet15">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="rellenoFactura2" msprop:Generator_TableClassName="rellenoFactura2DataTable" msprop:Generator_TableVarName="tablerellenoFactura2" msprop:Generator_TablePropName="rellenoFactura2" msprop:Generator_RowDeletingName="rellenoFactura2RowDeleting" msprop:Generator_RowChangingName="rellenoFactura2RowChanging" msprop:Generator_RowEvHandlerName="rellenoFactura2RowChangeEventHandler" msprop:Generator_RowDeletedName="rellenoFactura2RowDeleted" msprop:Generator_UserTableName="rellenoFactura2" msprop:Generator_RowChangedName="rellenoFactura2RowChanged" msprop:Generator_RowEvArgName="rellenoFactura2RowChangeEvent" msprop:Generator_RowClassName="rellenoFactura2Row">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="id_venta" msprop:Generator_ColumnVarNameInTable="columnid_venta" msprop:Generator_ColumnPropNameInRow="id_venta" msprop:Generator_ColumnPropNameInTable="id_ventaColumn" msprop:Generator_UserColumnName="id_venta" type="xs:int" />
              <xs:element name="nombre" msprop:Generator_ColumnVarNameInTable="columnnombre" msprop:Generator_ColumnPropNameInRow="nombre" msprop:Generator_ColumnPropNameInTable="nombreColumn" msprop:Generator_UserColumnName="nombre" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="cantidad" msprop:Generator_ColumnVarNameInTable="columncantidad" msprop:Generator_ColumnPropNameInRow="cantidad" msprop:Generator_ColumnPropNameInTable="cantidadColumn" msprop:Generator_UserColumnName="cantidad" type="xs:int" minOccurs="0" />
              <xs:element name="precio" msprop:Generator_ColumnVarNameInTable="columnprecio" msprop:Generator_ColumnPropNameInRow="precio" msprop:Generator_ColumnPropNameInTable="precioColumn" msprop:Generator_UserColumnName="precio" type="xs:double" minOccurs="0" />
              <xs:element name="descuento" msprop:Generator_ColumnVarNameInTable="columndescuento" msprop:Generator_ColumnPropNameInRow="descuento" msprop:Generator_ColumnPropNameInTable="descuentoColumn" msprop:Generator_UserColumnName="descuento" type="xs:double" minOccurs="0" />
              <xs:element name="pdescuento" msprop:Generator_ColumnVarNameInTable="columnpdescuento" msprop:Generator_ColumnPropNameInRow="pdescuento" msprop:Generator_ColumnPropNameInTable="pdescuentoColumn" msprop:Generator_UserColumnName="pdescuento" type="xs:double" minOccurs="0" />
              <xs:element name="acumulado" msprop:Generator_ColumnVarNameInTable="columnacumulado" msprop:Generator_ColumnPropNameInRow="acumulado" msprop:Generator_ColumnPropNameInTable="acumuladoColumn" msprop:Generator_UserColumnName="acumulado" type="xs:double" minOccurs="0" />
              <xs:element name="nombre_usuario" msprop:Generator_ColumnVarNameInTable="columnnombre_usuario" msprop:Generator_ColumnPropNameInRow="nombre_usuario" msprop:Generator_ColumnPropNameInTable="nombre_usuarioColumn" msprop:Generator_UserColumnName="nombre_usuario" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="id_venta1" msdata:ReadOnly="true" msdata:AutoIncrement="true" msprop:Generator_ColumnVarNameInTable="columnid_venta1" msprop:Generator_ColumnPropNameInRow="id_venta1" msprop:Generator_ColumnPropNameInTable="id_venta1Column" msprop:Generator_UserColumnName="id_venta1" type="xs:int" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>